| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Endpoint Profile

Endpoint Profile Definitions and Methods. More...

## Classes
struct | unsp__EpMgtInfo
| Endpoint Profile Management information. More...
struct | unsp__CreateEpProfileReq
| Create Endpoint Profile request. More...
struct | unsp__GetEpInfoResult
| Get Endpoint Profile result. More...
struct | unsp__GetEpListEntry
| Endpoint Profile List Entry. More...
struct | unsp__GetEpListData
| Endpoint Profile List. More...
struct | unsp__GetEpListResult
| Get Endpoint Profile List result. More...
struct | unsp__GetEpListRequest
| Get Endpoint Profile List request. More...
struct | unsp__GetEpInfoRequest
| Get Endpoint Profile Information request. More...
struct | unsp__CreateEpProfileReq2
| Create Endpoint Profile request. More...
struct | unsp__CreateEpProfileResult
| Create Endpoint Profile result. More...
struct | unsp__UpdateEpMgtInfoRequest
| Update Endpoint Profile Management Information request. More...
struct | unsp__UpdateEpMgtInfoResult
| Update Endpoint Profile Management Information result. More...
struct | unsp__UpdateEpFeaturesRequest
| Update Endpoint Profile Features request. More...
struct | unsp__UpdateEpFeaturesResult
| Update Endpoint Profile Features result. More...
struct | unsp__GetEpInfoReq2
| Get Endpoint Profile Information request. More...
struct | unsp__DeleteEpProfileRequest
| Delete Endpoint Profile request. More...
struct | unsp__DeleteEpProfileResult
| Delete Endpoint Profile result. More...

## Enumerations
enum | unsp__EpType { Network_Server }
| endpoint Profile Type. More...

## Functions
int | unsp__GetEpInfoByRelease (struct unsp__GetEpInfoRequest GetEpInfoReq, struct unsp__GetEpInfoResult *GetEpInfoResult)
| Retrieves Endpoint Profile Information. More...
int | unsp__GetEpList2 (struct unsp__GetEpListRequest GetEpListReq, struct unsp__GetEpListResult *GetEpListResult)
| Retrieves the List of Endpoint Profiles. More...
int | unsp__CreateEpProfile2 (struct unsp__CreateEpProfileReq2 CreateEpProfileReq, struct unsp__CreateEpProfileResult *CreateEpProfileResult)
| Creates an Endpoint Profile. More...
int | unsp__UpdateEpMgtInfo2 (struct unsp__UpdateEpMgtInfoRequest UpdateEpMgtInfoRequest, struct unsp__UpdateEpMgtInfoResult *UpdateEpMgtInfoResult)
| Updates the Management Information of an Endpoint Profile. More...
int | unsp__UpdateEpFeatures2 (struct unsp__UpdateEpFeaturesRequest UpdateEpFeaturesRequest, struct unsp__UpdateEpFeaturesResult *UpdateEpFeaturesResult)
| Updates the Features of an Endpoint Profile. More...
int | unsp__GetEpInfo2 (struct unsp__GetEpInfoReq2 GetEpInfoRequest, struct unsp__GetEpInfoResult *GetEpInfoResult)
| Retrieves Endpoint Profile Information. More...
int | unsp__DeleteEpProfile2 (struct unsp__DeleteEpProfileRequest DeleteEpProfileRequest, struct unsp__DeleteEpProfileResult *DeleteEpProfileResult)
| Deletes an Endpoint Profile. More...

## Detailed Description

Endpoint Profile Definitions and Methods.

Endpoint Profiles are used for SIP Network Servers such as SIP Gateways (access to the PSTN, HiPath 4000, HiPath 3000), SIP Proxy Servers (Comdasys), SIP Voice Mail Server (Xpressions), and SIP Conference Bridge. These profiles allow services and feature settings to be defined for these endpoints that need specific services. An endpoint must be associated with an Endpoint Profile.

## Enumeration Type Documentation

## ◆ unsp__EpType

enum unsp__EpType

endpoint Profile Type.

Enumerator
Network_Server | Network Server.

## Function Documentation

## ◆ unsp__CreateEpProfile2()

unsp__CreateEpProfile2 | ( | struct unsp__CreateEpProfileReq2 | CreateEpProfileReq,
|  | struct unsp__CreateEpProfileResult * | CreateEpProfileResult
| ) |  |

Creates an Endpoint Profile.

Parameters

  CreateEpProfileReq | API request
  CreateEpProfileResult | API result MP2 command: EPCREATE [Attributes]

## ◆ unsp__DeleteEpProfile2()

unsp__DeleteEpProfile2 | ( | struct unsp__DeleteEpProfileRequest | DeleteEpProfileRequest,
|  | struct unsp__DeleteEpProfileResult * | DeleteEpProfileResult
| ) |  |

Deletes an Endpoint Profile.

Parameters

  DeleteEpProfileRequest | API request
  DeleteEpProfileResult | API result MP2 command: EPDEL [Attributes]

## ◆ unsp__GetEpInfo2()

unsp__GetEpInfo2 | ( | struct unsp__GetEpInfoReq2 | GetEpInfoRequest,
|  | struct unsp__GetEpInfoResult * | GetEpInfoResult
| ) |  |

Retrieves Endpoint Profile Information.

Parameters

  GetEpInfoRequest | API request
  GetEpInfoResult | API result

## ◆ unsp__GetEpInfoByRelease()

unsp__GetEpInfoByRelease | ( | struct unsp__GetEpInfoRequest | GetEpInfoReq,
|  | struct unsp__GetEpInfoResult * | GetEpInfoResult
| ) |  |

Retrieves Endpoint Profile Information.

Parameters

  GetEpInfoReq | API request
  GetEpInfoResult | API result

## ◆ unsp__GetEpList2()

unsp__GetEpList2 | ( | struct unsp__GetEpListRequest | GetEpListReq,
|  | struct unsp__GetEpListResult * | GetEpListResult
| ) |  |

Retrieves the List of Endpoint Profiles.

Parameters

  GetEpListReq | API request
  GetEpListResult | API result

## ◆ unsp__UpdateEpFeatures2()

unsp__UpdateEpFeatures2 | ( | struct unsp__UpdateEpFeaturesRequest | UpdateEpFeaturesRequest,
|  | struct unsp__UpdateEpFeaturesResult * | UpdateEpFeaturesResult
| ) |  |

Updates the Features of an Endpoint Profile.

Parameters

  UpdateEpFeaturesRequest | API request
  UpdateEpFeaturesResult | API result MP2 commands: EPADDFEAT EPDELFEAT

## ◆ unsp__UpdateEpMgtInfo2()

unsp__UpdateEpMgtInfo2 | ( | struct unsp__UpdateEpMgtInfoRequest | UpdateEpMgtInfoRequest,
|  | struct unsp__UpdateEpMgtInfoResult * | UpdateEpMgtInfoResult
| ) |  |

Updates the Management Information of an Endpoint Profile.

Parameters

  UpdateEpMgtInfoRequest | API request
  UpdateEpMgtInfoResult | API result MP2 command: EPUPDATEMGT [Attributes]